libstdc++: Poisson Distributions

libstdc++

Poisson Distributions
Numerics » Random Number Generation » Random Number Distributions
Collaboration diagram for Poisson Distributions:

## Classes
class | std::exponential_distribution< _RealType >
class | std::extreme_value_distribution< _RealType >
class | std::gamma_distribution< _RealType >
class | std::poisson_distribution< _IntType >
class | std::weibull_distribution< _RealType >

## Functions
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::exponential_distribution< _RealType > &__x)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::extreme_value_distribution< _RealType > &__x)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::weibull_distribution< _RealType > &__x)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::exponential_distribution< _RealType > &__x)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::extreme_value_distribution< _RealType > &__x)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::weibull_distribution< _RealType > &__x)

## Detailed Description

## Function Documentation

## ◆ operator<<() [1/3]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::exponential_distribution< _RealType > & | __x )

Inserts a exponential_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A exponential_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1877 of file bits/random.tcc.

References log().

## ◆ operator<<() [2/3]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::extreme_value_distribution< _RealType > & | __x )

Inserts a extreme_value_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A extreme_value_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2726 of file bits/random.tcc.

References log().

## ◆ operator<<() [3/3]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::weibull_distribution< _RealType > & | __x )

Inserts a weibull_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A weibull_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2651 of file bits/random.tcc.

References log(), and pow().

## ◆ operator>>() [1/3]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::exponential_distribution< _RealType > & | __x )

Extracts a exponential_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A exponential_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 1913 of file bits/random.tcc.

References std::ios_base::flags(), and std::exponential_distribution< _RealType >::param().

## ◆ operator>>() [2/3]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::extreme_value_distribution< _RealType > & | __x )

Extracts a extreme_value_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A extreme_value_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2765 of file bits/random.tcc.

References std::ios_base::flags(), and std::extreme_value_distribution< _RealType >::param().

## ◆ operator>>() [3/3]

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::weibull_distribution< _RealType > & | __x )

Extracts a weibull_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A weibull_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2691 of file bits/random.tcc.

References std::ios_base::flags(), and std::weibull_distribution< _RealType >::param().